Runtime

## org.eclipse.gmf.runtime.common.core.resources
Interface IMarker

All Known Subinterfaces:
  IBookmark

    public interface IMarker

Convenience interface for the marker type and its attributes

Field Summary
`static java.lang.String` `ELEMENT_ID` element guid
`static java.lang.String` `ELEMENT_ID_SEPARATOR` Separator between multiple IDs in the `ELEMENT_ID`attribute.
`static java.lang.String` `TYPE` marker type

Field Detail

### TYPE

    static final java.lang.String TYPE

  marker type

  See Also:
    Constant Field Values

### ELEMENT_ID_SEPARATOR

    static final java.lang.String ELEMENT_ID_SEPARATOR

  Separator between multiple IDs in the `ELEMENT_ID`attribute.

  See Also:
    Constant Field Values

### ELEMENT_ID

    static final java.lang.String ELEMENT_ID

  element guid

  See Also:
    Constant Field Values

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.